package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public class ChannelInsertItem extends JceStruct {
    static ChannelInsertInfo cache_info = new ChannelInsertInfo();
    public ChannelInsertInfo info = null;
    public String normalTitle = "";
    public String reportKey = "";
    public String reportParams = "";
    public String selectedTitle = "";
    

    public ChannelInsertItem() {
        super();
        this.info = null;
        this.normalTitle = "";
        this.selectedTitle = "";
        this.reportKey = "";
        this.reportParams = "";
    }

    public ChannelInsertItem(ChannelInsertInfo channelInsertInfo, String str, String str2, String str3, String str4) {
        this.info = channelInsertInfo;
        this.normalTitle = str;
        this.selectedTitle = str2;
        this.reportKey = str3;
        this.reportParams = str4;
    }

    public void writeTo(d dVar) {
        dVar.a(this.info, 0);
        if (this.normalTitle != null) {
            dVar.a(this.normalTitle, 1);
        }
        if (this.selectedTitle != null) {
            dVar.a(this.selectedTitle, 2);
        }
        if (this.reportKey != null) {
            dVar.a(this.reportKey, 3);
        }
        if (this.reportParams != null) {
            dVar.a(this.reportParams, 4);
        }
    }

    public void readFrom(c cVar) {
        this.info = (ChannelInsertInfo) cVar.a(cache_info, 0, true);
        this.normalTitle = cVar.b(1, false);
        this.selectedTitle = cVar.b(2, false);
        this.reportKey = cVar.b(3, false);
        this.reportParams = cVar.b(4, false);
    }

}
